Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfHeaderFooters

    java.lang.Object
      com.lowagie.text.Rectangle
          com.lowagie.text.HeaderFooter
              com.lowagie.text.rtf.RtfHeaderFooters

All Implemented Interfaces:
  Element

Deprecated. Please move to the RtfWriter2 and associated classes. com.lowagie.text.rtf.headerfooter.RtfHeaderFooterGroup replaces the functionality of this class.

    public class RtfHeaderFooters

extends HeaderFooter

This HeaderFooter specialization contains some headers or footers for several pages. Is a list of headerFooters but also a sub class of header footer, to change as less as possible of the current API. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 2356 $Date: 2006/09/12 12:16:35 $
Author:
  Steffen.Stundzig (Steffen.Stundzig@smb-tec.com), Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`static int` | `ALL_PAGES` Deprecated. an attribute value
`private HeaderFooter` | `allPages` Deprecated. header or footer placeholder
`static int` | `FIRST_PAGE` Deprecated. an attribute value
`private HeaderFooter` | `firstPage` Deprecated. header or footer placeholder
`static int` | `LEFT_PAGES` Deprecated. an attribute value
`private HeaderFooter` | `leftPages` Deprecated. header or footer placeholder
`static int` | `RIGHT_PAGES` Deprecated. an attribute value
`private HeaderFooter` | `rightPages` Deprecated. header or footer placeholder

Fields inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, LEFT, llx, lly, NO_BORDER, RIGHT, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfHeaderFooters()` Deprecated. Contructs a HeaderFooters object
`RtfHeaderFooters(Phrase before, boolean numbered)` Deprecated. Contructs a HeaderFooters object
`RtfHeaderFooters(Phrase before, Phrase after)` Deprecated. Contructs a HeaderFooters object

Method Summary
`HeaderFooter` | `get(int type)` Deprecated. Returns a type of HeaderFooter object registered in this HeaderFooters object.
`void` | `set(int type, HeaderFooter hf)` Deprecated. Adds a HeaderFooter to this HeaderFooters object

Methods inherited from class com.lowagie.text.HeaderFooter
`alignment, getAfter, getBefore, isNumbered, paragraph, setAlignment, setPageNumber`

Methods inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderWidth, bottom, bottom, cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getBottom, getChunks, getGrayFill, getHeight, getLeft, getLeft, getRight, getRight, getRotation, getTop, getTop, getWidth, grayFill, hasBorder, hasBorders, height, isUseVariableBorders, left, left, normalize, process, rectangle, right, right, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, top, top, toString, type, width`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_PAGES

    public static final int ALL_PAGES

  Deprecated.
  an attribute value

  See Also:
    Constant Field Values

### LEFT_PAGES

    public static final int LEFT_PAGES

  Deprecated.
  an attribute value

  See Also:
    Constant Field Values

### RIGHT_PAGES

    public static final int RIGHT_PAGES

  Deprecated.
  an attribute value

  See Also:
    Constant Field Values

### FIRST_PAGE

    public static final int FIRST_PAGE

  Deprecated.
  an attribute value

  See Also:
    Constant Field Values

### allPages

    private HeaderFooter allPages

  Deprecated.
  header or footer placeholder

### leftPages

    private HeaderFooter leftPages

  Deprecated.
  header or footer placeholder

### rightPages

    private HeaderFooter rightPages

  Deprecated.
  header or footer placeholder

### firstPage

    private HeaderFooter firstPage

  Deprecated.
  header or footer placeholder

Constructor Detail

### RtfHeaderFooters

    public RtfHeaderFooters()

  Deprecated.
  Contructs a HeaderFooters object

### RtfHeaderFooters

    public RtfHeaderFooters(Phrase before,
                            Phrase after)

  Deprecated.
  Contructs a HeaderFooters object

  Parameters:
    `before` -
    `after` -

### RtfHeaderFooters

    public RtfHeaderFooters(Phrase before,
                            boolean numbered)

  Deprecated.
  Contructs a HeaderFooters object

  Parameters:
    `before` -
    `numbered` -

Method Detail

### set

    public void set(int type,
                    HeaderFooter hf)

  Deprecated.
  Adds a HeaderFooter to this HeaderFooters object

  Parameters:
    `type` -
    `hf` -

### get

    public HeaderFooter get(int type)

  Deprecated.
  Returns a type of HeaderFooter object registered in this HeaderFooters object.

  Parameters:
    `type` - type of the HeaderFooter object
  Returns:
    a HeaderFooter object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD